Yes, I recommend dont use 3.0 yet....still have much jellybeans devices actives